/**
 * Join a list of strings into one, separated by the `sep` term.
 * @param list
 * @param sep
 * @returns
 */
export declare function join<T extends readonly string[], Sep extends string = ', '>(list: T, sep?: Sep): Join<T, Sep>;
/**
 * Join a list of strings into one, separated by the `Sep` term.
 */
export declare type Join<T, Sep extends string = ', '> = T extends readonly [infer head, ...(infer tail)] ? tail extends [] ? head : `${string & head}${Sep}${Join<tail, Sep>}` : string;
//# sourceMappingURL=join.d.ts.map