import { Join } from "./join";
/**
 * Join together a list of strings into a comma separated series.
 * @param items
 * @param config
 * @returns
 */
export declare function series<T extends readonly string[], Oxford extends boolean = true, Conjunction extends string = 'and'>(items: T, config?: Partial<{
    oxford: Oxford;
    conjunction: Conjunction;
}>): Series<T, Oxford, Conjunction>;
/**
 * Join a list of strings into a comma-separated series, with a term that
 * toggles the oxford comman and another that sets the conjunction ('and'/'or').
 */
declare type Series<T, // list of strings
Oxford extends boolean = true, // should use the oxford comma?
Conjunction extends string = 'and'> = T extends readonly [...infer Front, infer End] ? Front extends [] ? End : Front extends [infer Start] ? `${Start & string} ${Conjunction} ${End & string}` : `${Join<Front, ', '>}${Oxford extends true ? ',' : ''} ${Conjunction} ${End & string}` : string;
export {};
//# sourceMappingURL=series.d.ts.map