"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.series = void 0;
/**
 * Join together a list of strings into a comma separated series.
 * @param items
 * @param config
 * @returns
 */
function series(items, config) {
    var _a, _b;
    const oxford = (_a = config === null || config === void 0 ? void 0 : config.oxford) !== null && _a !== void 0 ? _a : true;
    const conjunction = (_b = config === null || config === void 0 ? void 0 : config.conjunction) !== null && _b !== void 0 ? _b : 'and';
    let result = '';
    if (items.length > 2) {
        const last = items[items.length - 1];
        result = `${items.slice(0, -1).join(', ')}${oxford ? ',' : ''} ${conjunction} ${last}`;
    }
    else {
        result = items.join(` ${conjunction} `);
    }
    return result;
}
exports.series = series;
//# sourceMappingURL=series.js.map